<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <name>MB-339 Lights</name>
  <layout>vbox</layout>
  <modal>false</modal>
  <draggable>true</draggable>
  <resizable>false</resizable>

  <group>

    <layout>hbox</layout>

    <empty>
      <stretch>false</stretch>
    </empty>
    <text>
      <label>MB-339 Lights</label>
    </text>
    <empty><stretch>true</stretch></empty>

    <button>
      <legend/>
      <key>Esc</key>
      <pref-width>16</pref-width>
      <pref-height>16</pref-height>
      <binding>
        <command>nasal</command>
        <script>mb339.lights_dialog2.toggle()</script>
      </binding>
    </button>

  </group>

  <hrule/>

  <group>
    <layout>table</layout>
    <halign>center</halign>
    <radio>
      <row>0</row>
      <col>0</col>
      <halign>left</halign>
      <name>Landing Lights</name>
      <property>controls/lighting/landing-lights</property>
      <live>true</live>
      <label>Landing Lights</label>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/landing-lights</property>
      </binding>
    </radio>

  </group>

  <hrule/>

  <group>

    <layout>vbox</layout>
    <padding>6</padding>
    <checkbox>
      <halign>left</halign>
      <label>Beacon Lights</label>
      <property>controls/lighting/beacon</property>
      <live>true</live>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/beacon</property>
      </binding>
      <binding>
        <command>nasal</command>
      </binding>
      <binding>
        <command>dialog-update</command>
      </binding>
    </checkbox>

    <layout>vbox</layout>
    <padding>6</padding>
    <checkbox>
      <halign>left</halign>
      <label>Formation Lights</label>
      <property>controls/lighting/formation-lights</property>
      <live>true</live>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/formation-lights</property>
      </binding>
      <binding>
        <command>nasal</command>
      </binding>
      <binding>
        <command>dialog-update</command>
      </binding>
    </checkbox>

    <hrule/>

    <layout>vbox</layout>
    <padding>6</padding>
    <checkbox>
      <halign>left</halign>
      <label>Navigation Lights</label>
      <property>controls/lighting/nav-lights</property>
      <live>true</live>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/nav-lights</property>
      </binding>
      <binding>
        <command>nasal</command>
      </binding>
      <binding>
        <command>dialog-update</command>
      </binding>
    </checkbox>

    <layout>vbox</layout>
    <padding>6</padding>
    <checkbox>
      <halign>left</halign>
      <label>Strobe Lights</label>
      <property>controls/lighting/strobe</property>
      <live>true</live>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/strobe</property>
      </binding>
      <binding>
        <command>nasal</command>
      </binding>
      <binding>
        <command>dialog-update</command>
      </binding>
    </checkbox>

  </group>

</PropertyList>
